package com.hxhq.business.form.gsp;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 供试品列表
 */
public class GspSearchListForm {

    /** 试验id  */
    private Long studyId;

    /** 名称/代号 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 批号 */
    private String ph;

    /** 规格 */
    private String gg;

    /** 来源 */
    private String ly;

    /** 目的 */
    private String md;

    private Long mdId;

    /** 制剂状态 1:入库 3:已发放 5:已锁定 7:待归档 9:归档 11:待解档 */
    private Integer zjzt;

    /** 记录状态 1:未锁定 3:已锁定 5:待归档 7:归档 9:待解档 */
    private Integer jlzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 有效期开始日期 */
    private String startDate;

    /** 有效期结束日期 */
    private String endDate;

    /** 是否是档案 1-是 */
    private Integer archive;

    /** 入库日期开始 */
    private String startDateRk;

    /** 入库日期结束 */
    private String endDateRk;

    /** 出库日期开始 */
    private String startDateCk;

    /** 出库日期结束 */
    private String endDateCk;



    public Long getMdId() {
        return mdId;
    }

    public void setMdId(Long mdId) {
        this.mdId = mdId;
    }

    public String getMd() {
        return md;
    }

    public void setMd(String md) {
        this.md = md;
    }

    public String getStartDateRk() {
        return startDateRk;
    }

    public void setStartDateRk(String startDateRk) {
        this.startDateRk = startDateRk;
    }

    public String getEndDateRk() {
        return endDateRk;
    }

    public void setEndDateRk(String endDateRk) {
        this.endDateRk = endDateRk;
    }

    public String getStartDateCk() {
        return startDateCk;
    }

    public void setStartDateCk(String startDateCk) {
        this.startDateCk = startDateCk;
    }

    public String getEndDateCk() {
        return endDateCk;
    }

    public void setEndDateCk(String endDateCk) {
        this.endDateCk = endDateCk;
    }

    public Integer getArchive() {
        return archive;
    }

    public void setArchive(Integer archive) {
        this.archive = archive;
    }

    public String getLy() {
        return ly;
    }

    public void setLy(String ly) {
        this.ly = ly;
    }

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph;
    }

    public Integer getZjzt() {
        return zjzt;
    }

    public void setZjzt(Integer zjzt) {
        this.zjzt = zjzt;
    }

    public Integer getJyzt() {
        return jyzt;
    }

    public void setJyzt(Integer jyzt) {
        this.jyzt = jyzt;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getGg() {
        return gg;
    }

    public void setGg(String gg) {
        this.gg = gg;
    }

    public Integer getJlzt() {
        return jlzt;
    }

    public void setJlzt(Integer jlzt) {
        this.jlzt = jlzt;
    }
}
